SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


Try our Premium Alert Service
 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service





Category:   Application (Generic)  >   udev Vendors:   kernel.org
udev Buffer Overflow in util_path_encode() Lets Local Users Gain Elevated Privileges
SecurityTracker Alert ID:  1022068
SecurityTracker URL:  http://securitytracker.com/id/1022068
CVE Reference:   CVE-2009-1186   (Links to External Site)
Date:  Apr 16 2009
Impact:   Execution of arbitrary code via local system, Root access via local system
Fix Available:  Yes  Vendor Confirmed:  Yes  

Description:   A vulnerability was reported in udev. A local user can obtain elevated privileges on the target system.

A local user can trigger a buffer overflow in the util_path_encode() function to potentially execute arbitrary code on the target system with root privileges.

The vulnerability resides in 'udev/lib/libudev-util.c'.

Sebastian Kramer reported this vulnerability.

Impact:   A local user can obtain root privileges on the target system.
Solution:   The vendor has issued a source code fix, available at:

http://git.kernel.org/?p=linux/hotplug/udev.git;a=commitdiff;h=662c3110803bd8c1aedacc36788e6fd028944314;hp=4b09a2fc4383f191d96a8d6134b95a4b84aef931

Cause:   Boundary error
Underlying OS:  Linux (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2018, SecurityGlobal.net LLC